%define old_name x11-data-xkbdata

%define git_url git://anongit.freedesktop.org/xkeyboard-config

Name:           xkeyboard-config
Epoch:          1
Version:        2.36
Release:        %mkrel 2
Summary:        XKB data files
Group:          Development/X11
License:        MIT
URL:            https://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source:         https://www.x.org/releases/individual/data/%{name}/%{name}-%{version}.tar.xz
BuildArch:      noarch

# symbols/kg and symbols/la besides looking very simple patches, did not apply
#   cleanly, so removed for now
# Dropped all conflicting patches
# (cg) When doing 1.3->1.4 rediff the tj keymap changes were dropped
# due to an upstream change that seems to address the issue differently
Patch0:         xkeyboard-config-2.10.1-fixkbd.patch

# (Anssi 09/2008) Add fi(kotoistus_classic_nbsp) and use that by default.
# It has nbsp in level4 instead of level3 to avoid typos, as in fi(classic).
# See https://bugs.freedesktop.org/show_bug.cgi?id=12764
# Comments have been sent to the Kotoistus project.
Patch1:         xkeyboard-config-2.10.1-fi-kotoistus_classic_nbsp.patch

# Morocco symbols/tifinagh should be symbols/ma in the official version
# Nigerian symbols/ng seens to match
# Pakistanese is pk in 1.1, not snd
# symbols/tm "Turkmen" is the same as symbols/tr "Turkey" in 1.1? seens
#	quite different
# symbols/urd seens to be 1.1's symbols/in (claims support for all Indian
#	keyboard layouts)
# symbols/kur "Kurdish" is apparently in several different Kurdish support
#	files/descriptions
# symbols/chr "Cherokee" being dropped? or already integrated in some other
#	description?
Patch2:         xkbdata-1.0.1-newkbd.patch

# Keeping for bugzilla #28919
Patch4:         xkb-fix_uz.patch
# Revert change that disables zapping by default
Patch9:         xkeyboard-config-2.36-Enable-zapping-by-default.patch
Patch10:    0001-Fix-symbols-in-syntax-error-spurious-git-conflict-ma.patch
# Debian patches
# Fedora patches
# Both upstream already
Patch11:    0001-rules-use-backslashes-instead-of-slashes-for-line-co.patch
Patch12:    0002-rules-remove-two-rules-that-reference-two-sections-t.patch

BuildRequires:  meson
BuildRequires:  xsltproc
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  xkbcomp >= 1.0.1
BuildRequires:  perl(XML::Parser)
BuildRequires:  glib-gettextize
BuildRequires:  gettext-devel

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%package -n %{old_name}
Summary:        XKB data files
Group:          Development/X11
Provides:       xkeyboard-config

%description -n %{old_name}
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q

# Keyboard fixes patches -- pablo
%patch0 -p1

	#   Not applied as most are already implemented, but in a compeletely
	#   different way. May need some review as described for Patch2:
	#   Still just keeping the old patch for reference in case problems
	#   arise.
# New keyboard layouts -- pablo
# %%patch2 -p1 -b .newkbd
# needed by patch2
# automake

%patch1 -p1
%patch4 -p1

## Debian patches

## Fedora patches

## Upstream patches
%patch11 -p1
%patch12 -p1

##
%patch9 -p1 -b .enable-zapping

%build
%meson -Dcompat-rules=true -Dxorg-rules-symlinks=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
#need this symlink for xkb to work
ln -snf %{_localstatedir}/lib/xkb %{buildroot}%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%files -f %{name}.lang -n %{old_name}
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*
%{_datadir}/pkgconfig/xkeyboard-config.pc
%{_mandir}/man7/%{name}.7.*


%changelog
* Sat Sep 03 2022 wally <wally> 1:2.36-2.mga9
+ Revision: 1883631
- apply patches from upstream (mga#30797)
- modify P9 to apply after upstream patches

* Tue Jul 05 2022 tv <tv> 1:2.36-1.mga9
+ Revision: 1867767
- 2.36

* Fri Mar 25 2022 umeabot <umeabot> 1:2.35.1-2.mga9
+ Revision: 1825610
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 1:2.35.1-1.mga9
+ Revision: 1778271
- 2.35.1

* Mon Nov 01 2021 tv <tv> 1:2.34-1.mga9
+ Revision: 1753546
- 2.34

* Tue Jun 22 2021 tv <tv> 1:2.33-1.mga9
+ Revision: 1731693
- 2.33
- Drop old debian patches that are no more needed and that even Debian doesn't
  carry anymore

* Mon Jun 14 2021 tv <tv> 1:2.32-2.mga9
+ Revision: 1730695
- Restore the xorg ruleset, console-setup and possibly others are still
  using those (rhbz#1951459):
  https://salsa.debian.org/installer-team/console-setup/-/merge_requests/7/

* Sun Feb 28 2021 tv <tv> 1:2.32-1.mga9
+ Revision: 1693720
- xkeyboard-config 2.32
- build with meson now

* Sat Oct 10 2020 tv <tv> 1:2.31-1.mga8
+ Revision: 1633078
- 2.31

* Sun Jun 21 2020 tv <tv> 1:2.30-2.mga8
+ Revision: 1598331
- Fix a syntax error in the indian symbols file

* Wed Jun 03 2020 tv <tv> 1:2.30-1.mga8
+ Revision: 1589907
- 2.30

* Tue Feb 18 2020 umeabot <umeabot> 1:2.28-2.mga8
+ Revision: 1541909
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1:2.28-1.mga8
+ Revision: 1475616
- 2.28
- remove patches 10 and 60 (fixed upstream)
- rediff patches 50, 51, 52
+ tv <tv>
- drop intltool, no longer needed, see upstream commit e8026f673e

* Fri Jul 05 2019 tmb <tmb> 1:2.26-3.mga8
+ Revision: 1418767
- fix broken pl layout (mga#28413)

* Sun Apr 14 2019 daviddavid <daviddavid> 1:2.26-2.mga7
+ Revision: 1390096
- add debian patches to fix xkbmap warnings (mga#24664)
  * Revert following commits:
    * ed67b29e (Map evdev keycode KEY_BRIGHTNESS_CYCLE to XF86MonBrightnessCycle)
    * d0e5e63c (Map evdev keycode KEY_KEYBOARD to XF86Keyboard)
    * e6103610 (Map evdev keycode KEY_FAVORITES to XF86Favorites)

* Fri Feb 08 2019 daviddavid <daviddavid> 1:2.26-1.mga7
+ Revision: 1364152
- new version: 2.26
- rename and rediff battery patch

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1:2.25-1.mga7
+ Revision: 1346455
- 2.25

* Fri Sep 21 2018 umeabot <umeabot> 1:2.23.1-2.mga7
+ Revision: 1292163
- Mageia 7 Mass Rebuild

* Sun Feb 18 2018 tv <tv> 1:2.23.1-1.mga7
+ Revision: 1202664
- new release
+ martinw <martinw>
- Fix syntax error introduced by xkb-fix_uz.patch (mga#22160)
  A comment line must start with "//", not "/".

* Sat Nov 04 2017 tv <tv> 1:2.22-1.mga7
+ Revision: 1175780
- new release

* Sat Jun 10 2017 luigiwalser <luigiwalser> 1:2.21-1.mga6
+ Revision: 1107433
- 2.21

* Wed Mar 01 2017 tv <tv> 1:2.20-1.mga6
+ Revision: 1088318
- new release

* Tue Oct 04 2016 tv <tv> 1:2.19-1.mga6
+ Revision: 1058662
- new release

* Thu Jun 16 2016 tv <tv> 1:2.18-1.mga6
+ Revision: 1021784
- new release

* Thu Feb 11 2016 tv <tv> 1:2.17-1.mga6
+ Revision: 955919
- rediff patch
- 2.17

* Wed Oct 21 2015 tv <tv> 1:2.16-1.mga6
+ Revision: 893567
- readd find_lang
- new release
- drop bogus call to find_lang

* Sun Jun 21 2015 tv <tv> 1:2.15-1.mga6
+ Revision: 837476
- new release

* Fri Feb 13 2015 luigiwalser <luigiwalser> 1:2.14-1.mga5
+ Revision: 814850
- 2.14

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1:2.13-1.mga5
+ Revision: 741435
- 2.13
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.12-3.mga5
+ Revision: 726512
- add provides: xkeyboard-config (sigh...)

* Tue Sep 16 2014 umeabot <umeabot> 1:2.12-2.mga5
+ Revision: 690676
- Mageia 5 Mass Rebuild

* Thu May 29 2014 tv <tv> 1:2.12-1.mga5
+ Revision: 627456
- new release

* Tue Feb 04 2014 tv <tv> 1:2.11-1.mga5
+ Revision: 582654
- rediff patches
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1:2.10.1-2.mga4
+ Revision: 539305
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 1:2.10.1-1.mga4
+ Revision: 491926
- rediff patches
- new release

* Thu May 30 2013 tv <tv> 1:2.9-1.mga4
+ Revision: 433347
- new release

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1:2.8-1.mga3
+ Revision: 393912
- 2.8
- rediff zapping patch
- remove no longer needed pre script
- add man page to files list

* Mon Jan 14 2013 umeabot <umeabot> 1:2.7-2.mga3
+ Revision: 387065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 tv <tv> 1:2.7-1.mga3
+ Revision: 298599
- new release

* Wed May 30 2012 tv <tv> 1:2.6-1.mga3
+ Revision: 250060
- new release

* Wed Feb 01 2012 tv <tv> 1:2.5.1-1.mga2
+ Revision: 203781
- fix build by switching to ./configure
- fix build by switching to %%configure
- new release
- new release
- new release

* Thu Jun 16 2011 tv <tv> 1:2.3-1.mga2
+ Revision: 108462
- new release
- rediff patches 0 & 4

* Tue Apr 12 2011 tv <tv> 1:2.2.1-1.mga1
+ Revision: 83616
- BuildRequires: libx11-devel
- BuildRequires: x11-proto-devel
- new release

* Thu Jan 13 2011 dmorgan <dmorgan> 1:2.0-1.mga1
+ Revision: 7884
- imported package xkeyboard-config


* Tue Sep 28 2010 Thierry Vignaud <tv@mandriva.org> 1:2.0-1mdv2011.0
+ Revision: 581890
- new release

* Sun Jul 25 2010 Thierry Vignaud <tv@mandriva.org> 1:1.9-1mdv2011.0
+ Revision: 558303
-new release
- rediff a couple patches (1, 9)

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - I did some tests and even if we used patch5 (add-various-inet-keys-to-pc105) as
      it was in xkeyboard-config 1.7, it would break the installer and other
      use-cases. Also, this is the message of the commit that added patch5:
      "have some standard extended keys in model "pc105" (need testing to ensure it
      does not break)" (2008-01-21)
      So patch5 is being really (not temporarily) dropped now.

* Wed Feb 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.8-2mdv2010.1
+ Revision: 500397
- Temporarily disable patch5

* Wed Jan 27 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.8-1mdv2010.1
+ Revision: 497109
- New version: 1.8
- add-various-inet-keys-to-pc105.patch partially applied upstream
- remove "version" macro

* Fri Nov 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.7-1mdv2010.1
+ Revision: 465756
- New version: 1.7
  Drop patches 7 and 8 (applied upstream)

* Mon Jul 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-5mdv2010.0
+ Revision: 392984
- enable terminate(ctrl_alt_bksp) by default

* Tue Jun 16 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-4mdv2010.0
+ Revision: 386411
- Fix ABNT2 mapping for the numpad dot key (output '.' instead of ',')

* Thu Jun 04 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-3mdv2010.0
+ Revision: 382915
- update to version 1.6
- drop patch applied upstream

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Remove hunks for issues which are already fixed upstream

* Mon Mar 16 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-3mdv2009.1
+ Revision: 355935
- Update hibernate-evdev patch with upstream version (also bind XF86Hibernate)
- Add git_url

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-2mdv2009.1
+ Revision: 345276
- Patch6 (GIT): map key_battery, wlan, bluetooth, uwb to their XF86 keycodes
- Patch7 (GIT): some keyboard still needs quirks in evdev
- Patch8: evdev should send XF86Hibernate instead of XF86Standby for hibernate key

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-1mdv2009.1
+ Revision: 345244
- Release 1.5
- Regenerate all patches

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.4-1mdv2009.1
+ Revision: 308023
- Remove obsolete patches
- Rediff patches no longer applying
- New version: 1.4

* Fri Oct 31 2008 Pixel <pixel@mandriva.com> 1:1.3-6mdv2009.1
+ Revision: 298910
- increase release for x11-server require
- xkbcomp is called as user (through pam) so /var/lib/xkb must be 1777

* Sat Sep 20 2008 Anssi Hannula <anssi@mandriva.org> 1:1.3-4mdv2009.0
+ Revision: 286119
- buildrequire gettext-devel (workarounds #44052)
- Add fi(kotoistus_classic_nbsp) and use that by default. It has nbsp in
  level4 instead of level3 to avoid typos. Default Finnish layouts of
  previous Mandriva releases have also used level4.
  (see http://bugs.freedesktop.org/show_bug.cgi?id=12764 for discussion)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:1.3-3mdv2009.0
+ Revision: 266093
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 28 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.3-2mdv2009.0
+ Revision: 212465
- Fix typo when rediffing patches (thanks pixel)

* Wed May 28 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.3-1mdv2009.0
+ Revision: 212229
- New version
- Adapt patch0 (misc fixes to various keyboard symbols) for new code (one hunk applied upstream).
- Adapt patch5 (pc105 inet keys) to new code.
- Drop patch6 (finnish symbols): applied upstream.

* Tue May 20 2008 Pixel <pixel@mandriva.com> 1:1.2-7mdv2009.0
+ Revision: 209465
- remove warning "Expected keysim, got XF86Info: line 959 of inet."

* Thu Apr 24 2008 Anssi Hannula <anssi@mandriva.org> 1:1.2-6mdv2009.0
+ Revision: 197262
- drop altgr-space combination for non-breaking space on Finnish
  Kotoistus layout (patch from upstream, see
  http://bugs.freedesktop.org/show_bug.cgi?id=12764#c8 )

* Thu Mar 27 2008 Pixel <pixel@mandriva.com> 1:1.2-5mdv2008.1
+ Revision: 190628
- workarounding #39418 by unsetting EuroSign in il(lyx)

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 1:1.2-4mdv2008.1
+ Revision: 187794
- bind XFER to XF86Music (it should be AudioMedia too, but it breaks) (#38861)
- modify patch fixkbd instead of doing it in a new patch (for bug #38450)

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.2-3mdv2008.1
+ Revision: 183822
- This should fix: Romanian keyboard layout -> err flag (#38450)
  But the complete sugested changes cannot be done as symbols.dir
  is generated in make install by xkbcomp.

* Thu Mar 06 2008 Pixel <pixel@mandriva.com> 1:1.2-2mdv2008.1
+ Revision: 180840
- ensure inet(common) doesn't even have multiples keycodes for a keysym
  (otherwise it breaks XKeysymToKeycode, esp. libegg eggaccelerators.c)

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized

* Thu Jan 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.2-1mdv2008.1
+ Revision: 160801
- Fix Buildrequires
- Release 1.2
- Package gettext translations, they are used by libxklavier now

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 1:1.1-6mdv2008.1
+ Revision: 156290
- remove duplicated keys in inet(common)

* Mon Jan 21 2008 Pixel <pixel@mandriva.com> 1:1.1-5mdv2008.1
+ Revision: 155902
- have some standard extended keys in model "pc105" (need testing to ensure it does not break)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Pixel <pixel@mandriva.com> 1:1.1-4mdv2008.1
+ Revision: 136533
- restore "oe" through AltGr-o for "fr(basic)" (#35791)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.1-3mdv2008.0
+ Revision: 93539
- Rename specfile
- Fix naming of package
- Rebuild with new upstream tarball
- Add missing symlink for xkbcomp to work fine (Mdv bug #34195)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Update to xkeyboard-config 1.1. Conflicts when analyzing the changes regarding
      to old patches are commented in the spec file.
    - Update xkb-fix_uz patch, based on new patch proposed for Bugzilla #28918

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Renaming x11-data-xkbdata to xkeyboard-config (to reflect the upstream naming)

